FF3 compatible, Many thanks! Rated 5 out of 5 stars

v0.3 failed to work with Firefox/3.0.10
v0.4 from googlecode project works fine

This review is for a previous version of the add-on (0.4).